texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo ChangeLog util/texi2dvi


From: Karl Berry
Subject: texinfo ChangeLog util/texi2dvi
Date: Sat, 07 Jan 2012 17:16:19 +0000

CVSROOT:        /sources/texinfo
Module name:    texinfo
Changes by:     Karl Berry <karl>       12/01/07 17:16:18

Modified files:
        .              : ChangeLog 
        util           : texi2dvi 

Log message:
        -v when debugging, no binop continuations

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/ChangeLog?cvsroot=texinfo&r1=1.1297&r2=1.1298
http://cvs.savannah.gnu.org/viewcvs/texinfo/util/texi2dvi?cvsroot=texinfo&r1=1.168&r2=1.169

Patches:
Index: ChangeLog
===================================================================
RCS file: /sources/texinfo/texinfo/ChangeLog,v
retrieving revision 1.1297
retrieving revision 1.1298
diff -u -b -r1.1297 -r1.1298
--- ChangeLog   5 Jan 2012 23:34:52 -0000       1.1297
+++ ChangeLog   7 Jan 2012 17:16:17 -0000       1.1298
@@ -1,3 +1,8 @@
+2012-01-07  Karl Berry  <address@hidden>
+
+       * util/texi2dvi: do not use && and || as line continuations,
+       cute as it is.  Use -v also when debugging.
+
 2012-01-06  Patrice Dumas  <address@hidden>
 
        * util/texinfo.dtd: adapt raw block commands content to what can

Index: util/texi2dvi
===================================================================
RCS file: /sources/texinfo/texinfo/util/texi2dvi,v
retrieving revision 1.168
retrieving revision 1.169
diff -u -b -r1.168 -r1.169
--- util/texi2dvi       1 Jan 2012 17:09:10 -0000       1.168
+++ util/texi2dvi       7 Jan 2012 17:16:18 -0000       1.169
@@ -1,10 +1,10 @@
 #! /bin/sh
 # texi2dvi --- produce DVI (or PDF) files from Texinfo (or (La)TeX) sources.
-# $Id: texi2dvi,v 1.168 2012/01/01 17:09:10 karl Exp $
+# $Id: texi2dvi,v 1.169 2012/01/07 17:16:18 karl Exp $
 #
 # Copyright 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012 Free
-# Software Foundation, Inc.
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012
+# Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -34,7 +34,7 @@
 set -e
 
 # This string is expanded automatically when this file is checked out.
-rcs_revision='$Revision: 1.168 $'
+rcs_revision='$Revision: 1.169 $'
 rcs_version=`set - $rcs_revision; echo $2`
 program=`echo $0 | sed -e 's!.*/!!'`
 
@@ -190,8 +190,8 @@
       local rel
       rel=$orig_pwd/`func_dirname "$1"`
       if test -d "$rel"; then
-        (cd "$rel" 2>/dev/null &&
-         local n
+        (cd "$rel" 2>/dev/null \
+         && local n
          n=`pwd`/`basename "$1"`"$slashes"
          echo "$n")
       else
@@ -252,8 +252,8 @@
     # design decisions, so there is little chance to make them consistent.)
     # Thusly, it seems to be difficult to make use of these enhancements.
     #
-    if  { test -f "$dir/$1"     && test -x "$dir/$1"; } ||
-        { test -f "$dir/$1.exe" && test -x "$dir/$1.exe"; }; then
+    if   { test -f "$dir/$1"     && test -x "$dir/$1"; } \
+      || { test -f "$dir/$1.exe" && test -x "$dir/$1.exe"; }; then
       return 0
     fi
   done
@@ -278,8 +278,8 @@
 run ()
 {
   verbose "Running $@"
-  "$@" 2>&5 1>&2 ||
-     error 1 "$1 failed"
+  "$@" 2>&5 1>&2 \
+  || error 1 "$1 failed"
 }
 
 
@@ -692,8 +692,8 @@
 
   for file
   do
-    test -f "$file" ||
-      error 1 "no such file or directory: $file"
+    test -f "$file" \
+    || error 1 "no such file or directory: $file"
     case $tidy:$oname in
       true:)  destdir=$orig_pwd
               destfile=$destdir/$file;;
@@ -1114,8 +1114,8 @@
 {
   local index_files
   index_files=`generated_files_get $in_noext index_file_p`
-  test -n "$index_files" ||
-    return 0
+  test -n "$index_files" \
+  || return 0
 
   : ${MAKEINDEX:=makeindex}
   : ${TEXINDEX:=texindex}
@@ -1812,13 +1812,14 @@
 
 # Enable tracing, and auxiliary tools output.
 #
-# Should be used where you'd typically use /dev/null to throw output
-# away.  But sometimes it is convenient to see that output (e.g., from
-# a grep) to aid debugging.  Especially debugging at distance, via the
-# user.
+# This fd should be used where you'd typically use /dev/null to throw
+# output away.  But sometimes it is convenient to see that output (e.g.,
+# from a grep) to aid debugging.  Especially debugging at distance, via
+# the user.
+# 
 if $debug; then
   exec 6>&1
-  set -x
+  set -vx
 else
   exec 6>/dev/null
 fi
@@ -1866,8 +1867,8 @@
   # though the user may be able to reenter a valid filename at the tex
   # prompt (assuming they're attending the terminal), this script won't
   # be able to find the right xref files and so forth.
-  test -r "$command_line_filename" ||
-    error 1 "cannot read $command_line_filename, skipping."
+  test -r "$command_line_filename" \
+  || error 1 "cannot read $command_line_filename, skipping."
 
   # Get the name of the current directory.
   in_dir=`func_dirname "$command_line_filename"`



reply via email to

[Prev in Thread] Current Thread [Next in Thread]